> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://contentful.com/developers/docs/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://contentful.com/_mcp/server. # Delete a profile DELETE https://experience.ninetailed.co/v2/organizations/{organizationId}/environments/{environmentSlug}/profiles/{profileId} Permanently removes a profile and all its aliases. The `organizationId` is the **Client ID** from **Settings → SDK Keys → Optimization**. Reference: https://contentful.com/developers/docs/references/experience-api/profiles/delete-a-profile ## Request ### Path parameters - `environmentSlug` (string, required, default: main) — The slug of the environment of the profile to retrieve - `organizationId` (string, required) — The ID of the organization of the profile to retrieve - `profileId` (string, required) — The ID of the profile to retrieve ## Response ### 200 Successful response ## Errors ### 400 Bad Request Error Bad Request - `message` (string, required) - `data` (BadRequestData, required) - `error` (BadRequestError, optional) ### 404 Not Found Error Organization or environment not found - `DeleteAProfileRequestNotFoundError` ### 429 Too Many Requests Error Profile overload - `DeleteAProfileRequestTooManyRequestsError` ### 500 Internal Server Error Internal server error - `message` (string, required) - `data` (InternalServerErrorData, required) - `error` (InternalServerErrorError, optional) ## Types ### BadRequestData ### BadRequestError - `code` (string, optional) ### configNotFoundError - `message` (string, required) - `data` (ConfigNotFoundErrorData, required) - `error` (ConfigNotFoundErrorError, optional) ### notFoundError - `message` (string, required) - `data` (NotFoundErrorData, required) - `error` (NotFoundErrorError, optional) ### profileOverloadError - `message` (string, required) - `data` (ProfileOverloadErrorData, required) - `error` (ProfileOverloadErrorError, optional) ### tooManyRequests - `message` (string, required) - `data` (TooManyRequestsData, required) - `error` (TooManyRequestsError, optional) ### InternalServerErrorData ### InternalServerErrorError - `code` (string, optional) ### ConfigNotFoundErrorData ### ConfigNotFoundErrorError - `code` (string, optional) ### NotFoundErrorData ### NotFoundErrorError - `code` (string, optional) ### ProfileOverloadErrorData ### ProfileOverloadErrorError - `code` (string, optional) ### TooManyRequestsData ### TooManyRequestsError - `code` (string, optional) ## Examples **Response** ```json { "data": {}, "error": null, "message": "ok" } ``` **SDK Code** ```javascript JavaScript const response = await fetch('https://experience.ninetailed.co/v2/organizations/{organizationId}/environments/{environmentSlug}/profiles/{profileId}', { method: 'DELETE', }); const data = await response.json(); ``` ```python Python import requests response = requests.delete( "https://experience.ninetailed.co/v2/organizations/{organizationId}/environments/{environmentSlug}/profiles/{profileId}", ) data = response.json() ``` ```http HTTP DELETE /v2/organizations/{organizationId}/environments/{environmentSlug}/profiles/{profileId} HTTP/1.1 Host: experience.ninetailed.co Accept: */* ```